<back to all web services

GetProjectsService

The following routes are available for this service:
GET/RestApi/translations/projects/services
import java.math.*;
import java.util.*;
import java.io.InputStream;
import net.servicestack.client.*;

public class dtos
{

    public static class GetProjectsService implements IProjectsFilter
    {
        public String SearchText = null;
        public ArrayList<String> Service = null;
        public ProjectStatus ProjectStatus = null;
        public String ActualSourceLanguage = null;
        public Boolean WithoutSourceLanguage = null;
        
        public String getSearchText() { return SearchText; }
        public GetProjectsService setSearchText(String value) { this.SearchText = value; return this; }
        public ArrayList<String> getService() { return Service; }
        public GetProjectsService setService(ArrayList<String> value) { this.Service = value; return this; }
        public ProjectStatus getProjectStatus() { return ProjectStatus; }
        public GetProjectsService setProjectStatus(ProjectStatus value) { this.ProjectStatus = value; return this; }
        public String getActualSourceLanguage() { return ActualSourceLanguage; }
        public GetProjectsService setActualSourceLanguage(String value) { this.ActualSourceLanguage = value; return this; }
        public Boolean isWithoutSourceLanguage() { return WithoutSourceLanguage; }
        public GetProjectsService setWithoutSourceLanguage(Boolean value) { this.WithoutSourceLanguage = value; return this; }
    }

    public static enum ProjectStatus
    {
        NotStarted,
        Started,
        Completed;
    }

}

Java GetProjectsService DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/projects/services HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{Unable to show example output for type 'IList`1' using the custom 'csv' filter}Cannot create an instance of an interface.